/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * require_extensions: GL_ARB_gpu_shader_int64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (i64vec2(np.int64(-10)l, np.int64(-12)l) << uvec2(np.uint32(13)u, np.uint32(26)u)) => i64vec2(np.int64(-81920)l, np.int64(-805306368)l)
 * (i64vec2(np.int64(-10)l, np.int64(-12)l) << uvec2(np.uint32(2)u, np.uint32(26)u)) => i64vec2(np.int64(-40)l, np.int64(-805306368)l)
 * (i64vec2(np.int64(-42)l, np.int64(48)l) << uvec2(np.uint32(13)u, np.uint32(26)u)) => i64vec2(np.int64(-344064)l, np.int64(3221225472)l)
 * (i64vec2(np.int64(-42)l, np.int64(48)l) << uvec2(np.uint32(2)u, np.uint32(26)u)) => i64vec2(np.int64(-168)l, np.int64(3221225472)l)
 */
#version 400
#extension GL_ARB_gpu_shader_int64 : require

void main()
{
  float[all(equal((i64vec2(np.int64(-10)l, np.int64(-12)l) << uvec2(np.uint32(13)u, np.uint32(26)u)), i64vec2(np.int64(-81920)l, np.int64(-805306368)l))) ? 1 : -1] array0;
  float[all(equal((i64vec2(np.int64(-10)l, np.int64(-12)l) << uvec2(np.uint32(2)u, np.uint32(26)u)), i64vec2(np.int64(-40)l, np.int64(-805306368)l))) ? 1 : -1] array1;
  float[all(equal((i64vec2(np.int64(-42)l, np.int64(48)l) << uvec2(np.uint32(13)u, np.uint32(26)u)), i64vec2(np.int64(-344064)l, np.int64(3221225472)l))) ? 1 : -1] array2;
  float[all(equal((i64vec2(np.int64(-42)l, np.int64(48)l) << uvec2(np.uint32(2)u, np.uint32(26)u)), i64vec2(np.int64(-168)l, np.int64(3221225472)l))) ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
