/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * require_extensions: GL_ARB_gpu_shader_int64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (u64vec3(np.uint64(1333333333333333259)ul, np.uint64(85)ul, np.uint64(94)ul) >> u64vec3(np.uint64(46)ul, np.uint64(50)ul, np.uint64(0)ul)) => u64vec3(np.uint64(18947)ul, np.uint64(0)ul, np.uint64(94)ul)
 * (u64vec3(np.uint64(1333333333333333259)ul, np.uint64(85)ul, np.uint64(94)ul) >> u64vec3(np.uint64(52)ul, np.uint64(23)ul, np.uint64(5)ul)) => u64vec3(np.uint64(296)ul, np.uint64(0)ul, np.uint64(2)ul)
 * (u64vec3(np.uint64(167)ul, np.uint64(66)ul, np.uint64(187)ul) >> u64vec3(np.uint64(46)ul, np.uint64(50)ul, np.uint64(0)ul)) => u64vec3(np.uint64(0)ul, np.uint64(0)ul, np.uint64(187)ul)
 * (u64vec3(np.uint64(167)ul, np.uint64(66)ul, np.uint64(187)ul) >> u64vec3(np.uint64(52)ul, np.uint64(23)ul, np.uint64(5)ul)) => u64vec3(np.uint64(0)ul, np.uint64(0)ul, np.uint64(5)ul)
 */
#version 400
#extension GL_ARB_gpu_shader_int64 : require

void main()
{
  float[all(equal((u64vec3(np.uint64(1333333333333333259)ul, np.uint64(85)ul, np.uint64(94)ul) >> u64vec3(np.uint64(46)ul, np.uint64(50)ul, np.uint64(0)ul)), u64vec3(np.uint64(18947)ul, np.uint64(0)ul, np.uint64(94)ul))) ? 1 : -1] array0;
  float[all(equal((u64vec3(np.uint64(1333333333333333259)ul, np.uint64(85)ul, np.uint64(94)ul) >> u64vec3(np.uint64(52)ul, np.uint64(23)ul, np.uint64(5)ul)), u64vec3(np.uint64(296)ul, np.uint64(0)ul, np.uint64(2)ul))) ? 1 : -1] array1;
  float[all(equal((u64vec3(np.uint64(167)ul, np.uint64(66)ul, np.uint64(187)ul) >> u64vec3(np.uint64(46)ul, np.uint64(50)ul, np.uint64(0)ul)), u64vec3(np.uint64(0)ul, np.uint64(0)ul, np.uint64(187)ul))) ? 1 : -1] array2;
  float[all(equal((u64vec3(np.uint64(167)ul, np.uint64(66)ul, np.uint64(187)ul) >> u64vec3(np.uint64(52)ul, np.uint64(23)ul, np.uint64(5)ul)), u64vec3(np.uint64(0)ul, np.uint64(0)ul, np.uint64(5)ul))) ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
