/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (np.float32(0.0) + mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08))) => mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08))
 * (np.float32(0.0) + mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79))) => mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79))
 * (np.float32(-1.33) + mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08))) => mat3x2(np.float32(-1.24), np.float32(-2.52), np.float32(-0.03000009), np.float32(-1.25), np.float32(-0.08000004), np.float32(-0.25))
 * (np.float32(-1.33) + mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79))) => mat3x2(np.float32(-1.69), np.float32(-1.86), np.float32(-2.41), np.float32(-0.45000005), np.float32(-1.9300001), np.float32(-3.12))
 * (np.float32(0.85) + mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08))) => mat3x2(np.float32(0.94000006), np.float32(-0.34000003), np.float32(2.15), np.float32(0.93), np.float32(2.1), np.float32(1.9300001))
 * (np.float32(0.85) + mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79))) => mat3x2(np.float32(0.49), np.float32(0.32000005), np.float32(-0.23000002), np.float32(1.73), np.float32(0.25), np.float32(-0.93999994))
 */
#version 120

void main()
{
  float[pow(distance((np.float32(0.0) + mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)))[0], vec2(np.float32(0.09), np.float32(-1.19))), 2) + pow(distance((np.float32(0.0) + mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)))[1], vec2(np.float32(1.3), np.float32(0.08))), 2) + pow(distance((np.float32(0.0) + mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)))[2], vec2(np.float32(1.25), np.float32(1.08))), 2) <= np.float32(5.8495e-10) ? 1 : -1] array0;
  float[pow(distance((np.float32(0.0) + mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)))[0], vec2(np.float32(-0.36), np.float32(-0.53))), 2) + pow(distance((np.float32(0.0) + mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)))[1], vec2(np.float32(-1.08), np.float32(0.88))), 2) + pow(distance((np.float32(0.0) + mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)))[2], vec2(np.float32(-0.6), np.float32(-1.79))), 2) <= np.float32(5.9154e-10) ? 1 : -1] array1;
  float[pow(distance((np.float32(-1.33) + mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)))[0], vec2(np.float32(-1.24), np.float32(-2.52))), 2) + pow(distance((np.float32(-1.33) + mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)))[1], vec2(np.float32(-0.03000009), np.float32(-1.25))), 2) + pow(distance((np.float32(-1.33) + mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)))[2], vec2(np.float32(-0.08000004), np.float32(-0.25))), 2) <= np.float32(9.520301e-10) ? 1 : -1] array2;
  float[pow(distance((np.float32(-1.33) + mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)))[0], vec2(np.float32(-1.69), np.float32(-1.86))), 2) + pow(distance((np.float32(-1.33) + mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)))[1], vec2(np.float32(-2.41), np.float32(-0.45000005))), 2) + pow(distance((np.float32(-1.33) + mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)))[2], vec2(np.float32(-1.9300001), np.float32(-3.12))), 2) <= np.float32(2.57856e-09) ? 1 : -1] array3;
  float[pow(distance((np.float32(0.85) + mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)))[0], vec2(np.float32(0.94000006), np.float32(-0.34000003))), 2) + pow(distance((np.float32(0.85) + mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)))[1], vec2(np.float32(2.15), np.float32(0.93))), 2) + pow(distance((np.float32(0.85) + mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08)))[2], vec2(np.float32(2.1), np.float32(1.9300001))), 2) <= np.float32(1.4621501e-09) ? 1 : -1] array4;
  float[pow(distance((np.float32(0.85) + mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)))[0], vec2(np.float32(0.49), np.float32(0.32000005))), 2) + pow(distance((np.float32(0.85) + mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)))[1], vec2(np.float32(-0.23000002), np.float32(1.73))), 2) + pow(distance((np.float32(0.85) + mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79)))[2], vec2(np.float32(0.25), np.float32(-0.93999994))), 2) <= np.float32(4.3343998e-10) ? 1 : -1] array5;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length());
}
