/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (vec2(np.float32(-0.1), np.float32(-1.2)) * mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08))) => vec3(np.float32(1.4190001), np.float32(-0.226), np.float32(-1.4210001))
 * (vec2(np.float32(-0.1), np.float32(-1.2)) * mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79))) => vec3(np.float32(0.672), np.float32(-0.948), np.float32(2.208))
 * (vec2(np.float32(-0.42), np.float32(0.48)) * mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08))) => vec3(np.float32(-0.609), np.float32(-0.50759995), np.float32(-0.006599975))
 * (vec2(np.float32(-0.42), np.float32(0.48)) * mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79))) => vec3(np.float32(-0.10319998), np.float32(0.876), np.float32(-0.60719997))
 */
#version 120

void main()
{
  float[distance((vec2(np.float32(-0.1), np.float32(-1.2)) * mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08))), vec3(np.float32(1.4190001), np.float32(-0.226), np.float32(-1.4210001))) <= np.float32(2.0208608e-05) ? 1 : -1] array0;
  float[distance((vec2(np.float32(-0.1), np.float32(-1.2)) * mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79))), vec3(np.float32(0.672), np.float32(-0.948), np.float32(2.208))) <= np.float32(2.4951056e-05) ? 1 : -1] array1;
  float[distance((vec2(np.float32(-0.42), np.float32(0.48)) * mat3x2(np.float32(0.09), np.float32(-1.19), np.float32(1.3), np.float32(0.08), np.float32(1.25), np.float32(1.08))), vec3(np.float32(-0.609), np.float32(-0.50759995), np.float32(-0.006599975))) <= np.float32(7.928318e-06) ? 1 : -1] array2;
  float[distance((vec2(np.float32(-0.42), np.float32(0.48)) * mat3x2(np.float32(-0.36), np.float32(-0.53), np.float32(-1.08), np.float32(0.88), np.float32(-0.6), np.float32(-1.79))), vec3(np.float32(-0.10319998), np.float32(0.876), np.float32(-0.60719997))) <= np.float32(1.0708492e-05) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
