/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (mat4x3(np.float32(-0.27), np.float32(-0.17), np.float32(-1.85), np.float32(-1.38), np.float32(-0.56), np.float32(-1.29), np.float32(-1.41), np.float32(1.47), np.float32(1.77), np.float32(-0.12), np.float32(1.86), np.float32(0.01)) != mat4x3(np.float32(-0.27), np.float32(-0.17), np.float32(-1.85), np.float32(-1.38), np.float32(-0.56), np.float32(-1.29), np.float32(-1.41), np.float32(1.47), np.float32(1.77), np.float32(-0.12), np.float32(1.86), np.float32(0.01))) => false
 * (mat4x3(np.float32(-0.27), np.float32(-0.17), np.float32(-1.85), np.float32(-1.38), np.float32(-0.56), np.float32(-1.29), np.float32(-1.41), np.float32(1.47), np.float32(1.77), np.float32(-0.12), np.float32(1.86), np.float32(0.01)) != mat4x3(np.float32(-0.47), np.float32(-0.2), np.float32(-1.39), np.float32(-0.15), np.float32(0.53), np.float32(-0.19), np.float32(1.97), np.float32(-1.82), np.float32(1.62), np.float32(-1.05), np.float32(-1.41), np.float32(1.58))) => true
 * (mat4x3(np.float32(-0.47), np.float32(-0.2), np.float32(-1.39), np.float32(-0.15), np.float32(0.53), np.float32(-0.19), np.float32(1.97), np.float32(-1.82), np.float32(1.62), np.float32(-1.05), np.float32(-1.41), np.float32(1.58)) != mat4x3(np.float32(-0.27), np.float32(-0.17), np.float32(-1.85), np.float32(-1.38), np.float32(-0.56), np.float32(-1.29), np.float32(-1.41), np.float32(1.47), np.float32(1.77), np.float32(-0.12), np.float32(1.86), np.float32(0.01))) => true
 * (mat4x3(np.float32(-0.47), np.float32(-0.2), np.float32(-1.39), np.float32(-0.15), np.float32(0.53), np.float32(-0.19), np.float32(1.97), np.float32(-1.82), np.float32(1.62), np.float32(-1.05), np.float32(-1.41), np.float32(1.58)) != mat4x3(np.float32(-0.47), np.float32(-0.2), np.float32(-1.39), np.float32(-0.15), np.float32(0.53), np.float32(-0.19), np.float32(1.97), np.float32(-1.82), np.float32(1.62), np.float32(-1.05), np.float32(-1.41), np.float32(1.58))) => false
 */
#version 120

void main()
{
  float[(mat4x3(np.float32(-0.27), np.float32(-0.17), np.float32(-1.85), np.float32(-1.38), np.float32(-0.56), np.float32(-1.29), np.float32(-1.41), np.float32(1.47), np.float32(1.77), np.float32(-0.12), np.float32(1.86), np.float32(0.01)) != mat4x3(np.float32(-0.27), np.float32(-0.17), np.float32(-1.85), np.float32(-1.38), np.float32(-0.56), np.float32(-1.29), np.float32(-1.41), np.float32(1.47), np.float32(1.77), np.float32(-0.12), np.float32(1.86), np.float32(0.01))) == false ? 1 : -1] array0;
  float[(mat4x3(np.float32(-0.27), np.float32(-0.17), np.float32(-1.85), np.float32(-1.38), np.float32(-0.56), np.float32(-1.29), np.float32(-1.41), np.float32(1.47), np.float32(1.77), np.float32(-0.12), np.float32(1.86), np.float32(0.01)) != mat4x3(np.float32(-0.47), np.float32(-0.2), np.float32(-1.39), np.float32(-0.15), np.float32(0.53), np.float32(-0.19), np.float32(1.97), np.float32(-1.82), np.float32(1.62), np.float32(-1.05), np.float32(-1.41), np.float32(1.58))) == true ? 1 : -1] array1;
  float[(mat4x3(np.float32(-0.47), np.float32(-0.2), np.float32(-1.39), np.float32(-0.15), np.float32(0.53), np.float32(-0.19), np.float32(1.97), np.float32(-1.82), np.float32(1.62), np.float32(-1.05), np.float32(-1.41), np.float32(1.58)) != mat4x3(np.float32(-0.27), np.float32(-0.17), np.float32(-1.85), np.float32(-1.38), np.float32(-0.56), np.float32(-1.29), np.float32(-1.41), np.float32(1.47), np.float32(1.77), np.float32(-0.12), np.float32(1.86), np.float32(0.01))) == true ? 1 : -1] array2;
  float[(mat4x3(np.float32(-0.47), np.float32(-0.2), np.float32(-1.39), np.float32(-0.15), np.float32(0.53), np.float32(-0.19), np.float32(1.97), np.float32(-1.82), np.float32(1.62), np.float32(-1.05), np.float32(-1.41), np.float32(1.58)) != mat4x3(np.float32(-0.47), np.float32(-0.2), np.float32(-1.39), np.float32(-0.15), np.float32(0.53), np.float32(-0.19), np.float32(1.97), np.float32(-1.82), np.float32(1.62), np.float32(-1.05), np.float32(-1.41), np.float32(1.58))) == false ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
