/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * max(uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u), uvec4(np.uint32(0)u, np.uint32(1)u, np.uint32(2)u, np.uint32(5)u)) => uvec4(np.uint32(0)u, np.uint32(1)u, np.uint32(2)u, np.uint32(5)u)
 * max(uvec4(np.uint32(0)u, np.uint32(1)u, np.uint32(1)u, np.uint32(1)u), uvec4(np.uint32(34)u, np.uint32(0)u, np.uint32(1)u, np.uint32(2)u)) => uvec4(np.uint32(34)u, np.uint32(1)u, np.uint32(1)u, np.uint32(2)u)
 * max(uvec4(np.uint32(1)u, np.uint32(1)u, np.uint32(2)u, np.uint32(2)u), uvec4(np.uint32(5)u, np.uint32(34)u, np.uint32(0)u, np.uint32(1)u)) => uvec4(np.uint32(5)u, np.uint32(34)u, np.uint32(2)u, np.uint32(2)u)
 * max(uvec4(np.uint32(2)u, np.uint32(2)u, np.uint32(2)u, np.uint32(5)u), uvec4(np.uint32(2)u, np.uint32(5)u, np.uint32(34)u, np.uint32(0)u)) => uvec4(np.uint32(2)u, np.uint32(5)u, np.uint32(34)u, np.uint32(5)u)
 * max(uvec4(np.uint32(5)u, np.uint32(5)u, np.uint32(5)u, np.uint32(5)u), uvec4(np.uint32(1)u, np.uint32(2)u, np.uint32(5)u, np.uint32(34)u)) => uvec4(np.uint32(5)u, np.uint32(5)u, np.uint32(5)u, np.uint32(34)u)
 * max(uvec4(np.uint32(34)u, np.uint32(34)u, np.uint32(34)u, np.uint32(34)u), uvec4(np.uint32(0)u, np.uint32(1)u, np.uint32(2)u, np.uint32(5)u)) => uvec4(np.uint32(34)u, np.uint32(34)u, np.uint32(34)u, np.uint32(34)u)
 * max(uvec4(np.uint32(34)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u), uvec4(np.uint32(34)u, np.uint32(0)u, np.uint32(1)u, np.uint32(2)u)) => uvec4(np.uint32(34)u, np.uint32(0)u, np.uint32(1)u, np.uint32(2)u)
 */
#version 130

void main()
{
  float[all(equal(max(uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u), uvec4(np.uint32(0)u, np.uint32(1)u, np.uint32(2)u, np.uint32(5)u)), uvec4(np.uint32(0)u, np.uint32(1)u, np.uint32(2)u, np.uint32(5)u))) ? 1 : -1] array0;
  float[all(equal(max(uvec4(np.uint32(0)u, np.uint32(1)u, np.uint32(1)u, np.uint32(1)u), uvec4(np.uint32(34)u, np.uint32(0)u, np.uint32(1)u, np.uint32(2)u)), uvec4(np.uint32(34)u, np.uint32(1)u, np.uint32(1)u, np.uint32(2)u))) ? 1 : -1] array1;
  float[all(equal(max(uvec4(np.uint32(1)u, np.uint32(1)u, np.uint32(2)u, np.uint32(2)u), uvec4(np.uint32(5)u, np.uint32(34)u, np.uint32(0)u, np.uint32(1)u)), uvec4(np.uint32(5)u, np.uint32(34)u, np.uint32(2)u, np.uint32(2)u))) ? 1 : -1] array2;
  float[all(equal(max(uvec4(np.uint32(2)u, np.uint32(2)u, np.uint32(2)u, np.uint32(5)u), uvec4(np.uint32(2)u, np.uint32(5)u, np.uint32(34)u, np.uint32(0)u)), uvec4(np.uint32(2)u, np.uint32(5)u, np.uint32(34)u, np.uint32(5)u))) ? 1 : -1] array3;
  float[all(equal(max(uvec4(np.uint32(5)u, np.uint32(5)u, np.uint32(5)u, np.uint32(5)u), uvec4(np.uint32(1)u, np.uint32(2)u, np.uint32(5)u, np.uint32(34)u)), uvec4(np.uint32(5)u, np.uint32(5)u, np.uint32(5)u, np.uint32(34)u))) ? 1 : -1] array4;
  float[all(equal(max(uvec4(np.uint32(34)u, np.uint32(34)u, np.uint32(34)u, np.uint32(34)u), uvec4(np.uint32(0)u, np.uint32(1)u, np.uint32(2)u, np.uint32(5)u)), uvec4(np.uint32(34)u, np.uint32(34)u, np.uint32(34)u, np.uint32(34)u))) ? 1 : -1] array5;
  float[all(equal(max(uvec4(np.uint32(34)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u), uvec4(np.uint32(34)u, np.uint32(0)u, np.uint32(1)u, np.uint32(2)u)), uvec4(np.uint32(34)u, np.uint32(0)u, np.uint32(1)u, np.uint32(2)u))) ? 1 : -1] array6;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length());
}
