/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) | np.uint32(0)u) => uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)
 * (uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) | np.uint32(6)u) => uvec4(np.uint32(70)u, np.uint32(78)u, np.uint32(87)u, np.uint32(79)u)
 * (uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) | np.uint32(12)u) => uvec4(np.uint32(78)u, np.uint32(76)u, np.uint32(95)u, np.uint32(79)u)
 * (uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) | np.uint32(32)u) => uvec4(np.uint32(98)u, np.uint32(104)u, np.uint32(119)u, np.uint32(107)u)
 * (uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) | np.uint32(74)u) => uvec4(np.uint32(74)u, np.uint32(74)u, np.uint32(95)u, np.uint32(75)u)
 * (uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) | np.uint32(0)u) => uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)
 * (uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) | np.uint32(6)u) => uvec4(np.uint32(30)u, np.uint32(46)u, np.uint32(23)u, np.uint32(78)u)
 * (uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) | np.uint32(12)u) => uvec4(np.uint32(28)u, np.uint32(44)u, np.uint32(31)u, np.uint32(78)u)
 * (uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) | np.uint32(32)u) => uvec4(np.uint32(56)u, np.uint32(40)u, np.uint32(55)u, np.uint32(106)u)
 * (uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) | np.uint32(74)u) => uvec4(np.uint32(90)u, np.uint32(106)u, np.uint32(95)u, np.uint32(74)u)
 */
#version 130

void main()
{
  float[all(equal((uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) | np.uint32(0)u), uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u))) ? 1 : -1] array0;
  float[all(equal((uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) | np.uint32(6)u), uvec4(np.uint32(70)u, np.uint32(78)u, np.uint32(87)u, np.uint32(79)u))) ? 1 : -1] array1;
  float[all(equal((uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) | np.uint32(12)u), uvec4(np.uint32(78)u, np.uint32(76)u, np.uint32(95)u, np.uint32(79)u))) ? 1 : -1] array2;
  float[all(equal((uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) | np.uint32(32)u), uvec4(np.uint32(98)u, np.uint32(104)u, np.uint32(119)u, np.uint32(107)u))) ? 1 : -1] array3;
  float[all(equal((uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) | np.uint32(74)u), uvec4(np.uint32(74)u, np.uint32(74)u, np.uint32(95)u, np.uint32(75)u))) ? 1 : -1] array4;
  float[all(equal((uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) | np.uint32(0)u), uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u))) ? 1 : -1] array5;
  float[all(equal((uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) | np.uint32(6)u), uvec4(np.uint32(30)u, np.uint32(46)u, np.uint32(23)u, np.uint32(78)u))) ? 1 : -1] array6;
  float[all(equal((uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) | np.uint32(12)u), uvec4(np.uint32(28)u, np.uint32(44)u, np.uint32(31)u, np.uint32(78)u))) ? 1 : -1] array7;
  float[all(equal((uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) | np.uint32(32)u), uvec4(np.uint32(56)u, np.uint32(40)u, np.uint32(55)u, np.uint32(106)u))) ? 1 : -1] array8;
  float[all(equal((uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) | np.uint32(74)u), uvec4(np.uint32(90)u, np.uint32(106)u, np.uint32(95)u, np.uint32(74)u))) ? 1 : -1] array9;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length());
}
