/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * acos(np.float32(-1.0)) => np.float32(3.1415927)
 * acos(np.float32(-0.33333334)) => np.float32(1.9106332)
 * acos(np.float32(0.33333334)) => np.float32(1.2309594)
 * acos(np.float32(1.0)) => np.float32(0.0)
 */
#version 150

void main()
{
  float[distance(acos(np.float32(-1.0)), np.float32(3.1415927)) <= np.float32(0.0031415927) ? 1 : -1] array0;
  float[distance(acos(np.float32(-0.33333334)), np.float32(1.9106332)) <= np.float32(0.0019106333) ? 1 : -1] array1;
  float[distance(acos(np.float32(0.33333334)), np.float32(1.2309594)) <= np.float32(0.0012309594) ? 1 : -1] array2;
  float[distance(acos(np.float32(1.0)), np.float32(0.0)) <= np.float32(1e-04) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
