/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * asinh(np.float32(0.0)) => np.float32(0.0)
 * asinh(np.float32(1e-10)) => np.float32(1e-10)
 * asinh(np.float32(-1e-10)) => np.float32(-1e-10)
 * asinh(np.float32(0.1)) => np.float32(0.09983408)
 * asinh(np.float32(-0.1)) => np.float32(-0.09983408)
 * asinh(np.float32(1.0)) => np.float32(0.8813736)
 * asinh(np.float32(-1.0)) => np.float32(-0.8813736)
 * asinh(np.float32(10.0)) => np.float32(2.998223)
 * asinh(np.float32(-10.0)) => np.float32(-2.998223)
 * asinh(np.float32(10000000000.0)) => np.float32(23.718998)
 * asinh(np.float32(-10000000000.0)) => np.float32(-23.718998)
 */
#version 150

void main()
{
  float[distance(asinh(np.float32(0.0)), np.float32(0.0)) <= np.float32(1e-04) ? 1 : -1] array0;
  float[distance(asinh(np.float32(1e-10)), np.float32(1e-10)) <= np.float32(1e-04) ? 1 : -1] array1;
  float[distance(asinh(np.float32(-1e-10)), np.float32(-1e-10)) <= np.float32(1e-04) ? 1 : -1] array2;
  float[distance(asinh(np.float32(0.1)), np.float32(0.09983408)) <= np.float32(1e-04) ? 1 : -1] array3;
  float[distance(asinh(np.float32(-0.1)), np.float32(-0.09983408)) <= np.float32(1e-04) ? 1 : -1] array4;
  float[distance(asinh(np.float32(1.0)), np.float32(0.8813736)) <= np.float32(0.0008813736) ? 1 : -1] array5;
  float[distance(asinh(np.float32(-1.0)), np.float32(-0.8813736)) <= np.float32(0.0008813736) ? 1 : -1] array6;
  float[distance(asinh(np.float32(10.0)), np.float32(2.998223)) <= np.float32(0.002998223) ? 1 : -1] array7;
  float[distance(asinh(np.float32(-10.0)), np.float32(-2.998223)) <= np.float32(0.002998223) ? 1 : -1] array8;
  float[distance(asinh(np.float32(10000000000.0)), np.float32(23.718998)) <= np.float32(0.023718998) ? 1 : -1] array9;
  float[distance(asinh(np.float32(-10000000000.0)), np.float32(-23.718998)) <= np.float32(0.023718998) ? 1 : -1] array10;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length());
}
