/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (mat4x2(np.float32(1.81), np.float32(-1.16), np.float32(-0.87), np.float32(-1.52), np.float32(0.81), np.float32(0.25), np.float32(0.65), np.float32(-1.51)) == mat4x2(np.float32(1.81), np.float32(-1.16), np.float32(-0.87), np.float32(-1.52), np.float32(0.81), np.float32(0.25), np.float32(0.65), np.float32(-1.51))) => true
 * (mat4x2(np.float32(1.81), np.float32(-1.16), np.float32(-0.87), np.float32(-1.52), np.float32(0.81), np.float32(0.25), np.float32(0.65), np.float32(-1.51)) == mat4x2(np.float32(1.93), np.float32(0.49), np.float32(-1.63), np.float32(0.27), np.float32(0.29), np.float32(0.14), np.float32(1.6), np.float32(0.94))) => false
 * (mat4x2(np.float32(1.93), np.float32(0.49), np.float32(-1.63), np.float32(0.27), np.float32(0.29), np.float32(0.14), np.float32(1.6), np.float32(0.94)) == mat4x2(np.float32(1.81), np.float32(-1.16), np.float32(-0.87), np.float32(-1.52), np.float32(0.81), np.float32(0.25), np.float32(0.65), np.float32(-1.51))) => false
 * (mat4x2(np.float32(1.93), np.float32(0.49), np.float32(-1.63), np.float32(0.27), np.float32(0.29), np.float32(0.14), np.float32(1.6), np.float32(0.94)) == mat4x2(np.float32(1.93), np.float32(0.49), np.float32(-1.63), np.float32(0.27), np.float32(0.29), np.float32(0.14), np.float32(1.6), np.float32(0.94))) => true
 */
#version 150

void main()
{
  float[(mat4x2(np.float32(1.81), np.float32(-1.16), np.float32(-0.87), np.float32(-1.52), np.float32(0.81), np.float32(0.25), np.float32(0.65), np.float32(-1.51)) == mat4x2(np.float32(1.81), np.float32(-1.16), np.float32(-0.87), np.float32(-1.52), np.float32(0.81), np.float32(0.25), np.float32(0.65), np.float32(-1.51))) == true ? 1 : -1] array0;
  float[(mat4x2(np.float32(1.81), np.float32(-1.16), np.float32(-0.87), np.float32(-1.52), np.float32(0.81), np.float32(0.25), np.float32(0.65), np.float32(-1.51)) == mat4x2(np.float32(1.93), np.float32(0.49), np.float32(-1.63), np.float32(0.27), np.float32(0.29), np.float32(0.14), np.float32(1.6), np.float32(0.94))) == false ? 1 : -1] array1;
  float[(mat4x2(np.float32(1.93), np.float32(0.49), np.float32(-1.63), np.float32(0.27), np.float32(0.29), np.float32(0.14), np.float32(1.6), np.float32(0.94)) == mat4x2(np.float32(1.81), np.float32(-1.16), np.float32(-0.87), np.float32(-1.52), np.float32(0.81), np.float32(0.25), np.float32(0.65), np.float32(-1.51))) == false ? 1 : -1] array2;
  float[(mat4x2(np.float32(1.93), np.float32(0.49), np.float32(-1.63), np.float32(0.27), np.float32(0.29), np.float32(0.14), np.float32(1.6), np.float32(0.94)) == mat4x2(np.float32(1.93), np.float32(0.49), np.float32(-1.63), np.float32(0.27), np.float32(0.29), np.float32(0.14), np.float32(1.6), np.float32(0.94))) == true ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
