/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * distance(dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf)) => np.float64(0.0)lf
 * distance(dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf)) => np.float64(3.837199499635118)lf
 * distance(dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf)) => np.float64(3.837199499635118)lf
 * distance(dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf)) => np.float64(0.0)lf
 */
#version 400

void main()
{
  double[0.0 <= distance(dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf)) && distance(dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf)) <= 0.0 ? 1 : -1] array0;
  double[3.8371611276401216 <= distance(dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf)) && distance(dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf)) <= 3.8372378716301148 ? 1 : -1] array1;
  double[3.8371611276401216 <= distance(dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf)) && distance(dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf)) <= 3.8372378716301148 ? 1 : -1] array2;
  double[0.0 <= distance(dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf)) && distance(dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf)) <= 0.0 ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
